<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [BladeburnerGeneralActionName](./bitburner.bladeburnergeneralactionname.md)

## BladeburnerGeneralActionName type


**Signature:**

```typescript
type BladeburnerGeneralActionName = _ValueOf<BladeburnerGeneralActionNameEnumType>;
```
**References:** [\_ValueOf](./bitburner._valueof.md)<!-- -->, [BladeburnerGeneralActionNameEnumType](./bitburner.bladeburnergeneralactionnameenumtype.md)

